play.mvc

## Class ActionInvoker

- java.lang.Object
- - play.mvc.ActionInvoker

-     public class ActionInvoker
      extends java.lang.Object

  Invoke an action after an HTTP request.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONTINUATIONS_STORE_VALIDATIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionInvoker()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.reflect.Method` | `findActionMethod(java.lang.String name, java.lang.Class clazz)` Find the first public method of a controller class
    `static java.lang.Object[]` | `getActionMethod(java.lang.String fullAction)`
    `static java.lang.Object[]` | `getActionMethodArgs(java.lang.reflect.Method method, java.lang.Object o)`
    `static void` | `inferResult(java.lang.Object o)`
    `static void` | `invoke(Http.Request request, Http.Response response)`
    `static java.lang.Object` | `invokeControllerMethod(java.lang.reflect.Method method)`
    `static java.lang.Object` | `invokeControllerMethod(java.lang.reflect.Method method, java.lang.Object[] forceArgs)`
    `static void` | `resolve(Http.Request request)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTINUATIONS_STORE_VALIDATIONS

          public static final java.lang.String CONTINUATIONS_STORE_VALIDATIONS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ActionInvoker

          public ActionInvoker()

  - ### Method Detail

    - #### resolve

          public static void resolve(Http.Request request)

    - #### invoke

          public static void invoke(Http.Request request,
                                    Http.Response response)

    - #### findActionMethod

          public static java.lang.reflect.Method findActionMethod(java.lang.String name,
                                                                  java.lang.Class clazz)

      Find the first public method of a controller class
      Parameters:
        `name` - The method name
        `clazz` - The class
      Returns:
        The method or null

    - #### inferResult

          public static void inferResult(java.lang.Object o)

    - #### invokeControllerMethod

          public static java.lang.Object invokeControllerMethod(java.lang.reflect.Method method)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### invokeControllerMethod

          public static java.lang.Object invokeControllerMethod(java.lang.reflect.Method method,
                                                                java.lang.Object[] forceArgs)
                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getActionMethod

          public static java.lang.Object[] getActionMethod(java.lang.String fullAction)

    - #### getActionMethodArgs

          public static java.lang.Object[] getActionMethodArgs(java.lang.reflect.Method method,
                                                               java.lang.Object o)
                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly